Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Publish\Core\Search\Elasticsearch\Content\Location\CriterionVisitor\DateMetadata\ModifiedRange Class Reference

Visits the ModifiedRange DateMetadata criterion. More...

Inheritance diagram for eZ\Publish\Core\Search\Elasticsearch\Content\Location\CriterionVisitor\DateMetadata\ModifiedRange:

## Public Member Functions
| canVisit (Criterion $criterion)
| Check if visitor is applicable to current criterion. More...
| visitFilter (Criterion $criterion, Dispatcher $dispatcher, array $languageFilter)
| Map field value to a proper Elasticsearch filter representation. More...
Public Member Functions inherited from eZ\Publish\Core\Search\Elasticsearch\Content\CriterionVisitor
| visitFilter (Criterion $criterion, CriterionVisitorDispatcher $dispatcher, array $languageFilter)
| Map field value to a proper Elasticsearch filter representation. More...
| visitQuery (Criterion $criterion, CriterionVisitorDispatcher $dispatcher, array $languageFilter)
| Map field value to a proper Elasticsearch query representation. More...

## Additional Inherited Members
Protected Member Functions inherited from eZ\Publish\Core\Search\Elasticsearch\Content\CriterionVisitor\DateMetadata
| getNativeTime ($value)
| Map value to a proper Elasticsearch date representation. More...
Protected Member Functions inherited from eZ\Publish\Core\Search\Elasticsearch\Content\CriterionVisitor
| getQueryRange ($operator, $start, $end)
| Get Elasticsearch range query. More...
| getFilterRange ($operator, $start, $end)
| Get Elasticsearch range filter. More...
| prepareValue ($value)
| Converts given $value to the appropriate Elasticsearch representation. More...

## Detailed Description

Visits the ModifiedRange DateMetadata criterion.

Definition at line 17 of file Location/CriterionVisitor/DateMetadata/ModifiedRange.php.

## Member Function Documentation

## ◆ canVisit()

eZ\Publish\Core\Search\Elasticsearch\Content\Location\CriterionVisitor\DateMetadata\ModifiedRange::canVisit | ( | Criterion | $criterion | ) |

Check if visitor is applicable to current criterion.

Parameters

  \eZ\Publish\API\Repository\Values\Content\Query\Criterion | $criterion |

Returns
  bool

Reimplemented from eZ\Publish\Core\Search\Elasticsearch\Content\CriterionVisitor.

Definition at line 26 of file Location/CriterionVisitor/DateMetadata/ModifiedRange.php.

References eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\BETWEEN, eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\GT, eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\GTE, eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\LT, and eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\LTE.

## ◆ visitFilter()

eZ\Publish\Core\Search\Elasticsearch\Content\Location\CriterionVisitor\DateMetadata\ModifiedRange::visitFilter | ( | Criterion | $criterion,
|  | Dispatcher | $dispatcher,
|  | array | $languageFilter
| ) |  |

Map field value to a proper Elasticsearch filter representation.

Parameters

  \eZ\Publish\API\Repository\Values\Content\Query\Criterion | $criterion |
  \eZ\Publish\Core\Search\Elasticsearch\Content\CriterionVisitorDispatcher | $dispatcher |
  array | $languageFilter |

Returns
  mixed

Definition at line 49 of file Location/CriterionVisitor/DateMetadata/ModifiedRange.php.

References eZ\Publish\Core\Search\Elasticsearch\Content\CriterionVisitor\getFilterRange(), and eZ\Publish\Core\Search\Elasticsearch\Content\CriterionVisitor\DateMetadata\getNativeTime().

The documentation for this class was generated from the following file:

- Location/CriterionVisitor/DateMetadata/ModifiedRange.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.